Bug 1026517 - Review Request: prboom-plus - Free enhanced DOOM engine
Review Request: prboom-plus - Free enhanced DOOM engine
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 990614
  Show dependency treegraph
 
Reported: 2013-11-04 16:12 EST by Jaromír Cápík
Modified: 2016-01-31 20:59 EST (History)
4 users (show)

See Also:
Fixed In Version: prboom-plus-2.5.1.3-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-16 01:57:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
licensecheck (28.94 KB, text/plain)
2013-11-05 13:43 EST, gil cattaneo
no flags Details

  None (edit)
Description Jaromír Cápík 2013-11-04 16:12:28 EST
Spec URL: http://jcapik.fedorapeople.org/files/prboom-plus/prboom-plus.spec
SRPM URL: http://jcapik.fedorapeople.org/files/prboom-plus/prboom-plus-2.5.1.3-1.fc21.src.rpm
Description: Free enhanced DOOM engine
Fedora Account System Username: jcapik
Comment 1 gil cattaneo 2013-11-05 13:42:48 EST
ISSUES:
[?]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Public domain", "BSD (3 clause) GPL (v2 or later) (with incorrect FSF
     address)", "LGPL (v2.1 or later) (with incorrect FSF address)", "Unknown
     or generated", "MIT/X11 (BSD like)", "BSD (3 clause)", "GPL (v2 or later)
     (with incorrect FSF address)". 32 files have unknown license. Detailed
     output of licensecheck in /home/gil/1026517-prboom-plus/licensecheck.txt
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.

for these files the type of license used is unclear
Copyright (C) 2004 Id Software, Inc.
prboom-plus-2.5.1.3/src/i_simd.c
prboom-plus-2.5.1.3/src/i_simd.h
sc_man.c : Heretic 2 : Raven Software, Corp.
prboom-plus-2.5.1.3/src/sc_man.c

please, fix license field and clarify the license of previous files

prboom-plus.i686: E: call-to-mktemp /usr/bin/prboom-plus

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[?]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Public domain", "BSD (3 clause) GPL (v2 or later) (with incorrect FSF
     address)", "LGPL (v2.1 or later) (with incorrect FSF address)", "Unknown
     or generated", "MIT/X11 (BSD like)", "BSD (3 clause)", "GPL (v2 or later)
     (with incorrect FSF address)". 32 files have unknown license. Detailed
     output of licensecheck in /home/gil/1026517-prboom-plus/licensecheck.txt
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 358400 bytes in 12 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: prboom-plus-2.5.1.3-1.fc21.i686.rpm
          prboom-plus-2.5.1.3-1.fc21.src.rpm
prboom-plus.i686: E: call-to-mktemp /usr/bin/prboom-plus
2 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint prboom-plus
prboom-plus.i686: E: call-to-mktemp /usr/bin/prboom-plus
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
prboom-plus (rpmlib, GLIBC filtered):
    freedoom
    libGL.so.1
    libGLU.so.1
    libSDL-1.2.so.0
    libSDL_image-1.2.so.0
    libSDL_mixer-1.2.so.0
    libSDL_net-1.2.so.0
    libc.so.6
    libdumb-0.9.3.so
    libfluidsynth.so.1
    libm.so.6
    libpng16.so.16
    libpng16.so.16(PNG16_0)
    libpthread.so.0
    libvorbisfile.so.3
    rtld(GNU_HASH)



Provides
--------
prboom-plus:
    application()
    application(prboom-plus.desktop)
    prboom-plus
    prboom-plus(x86-32)



Source checksums
----------------
http://downloads.sourceforge.net/prboom-plus/prboom-plus-2.5.1.3.tar.gz :
  CHECKSUM(SHA256) this package     : 0a406fa9d275fbde94afcf726cbff6d3a022f83b413dbfb6d131872e4642668f
  CHECKSUM(SHA256) upstream package : 0a406fa9d275fbde94afcf726cbff6d3a022f83b413dbfb6d131872e4642668f


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1026517 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 2 gil cattaneo 2013-11-05 13:43:48 EST
Created attachment 819952 [details]
licensecheck
Comment 3 gil cattaneo 2013-11-05 13:45:47 EST
not approved need license clarifications
Comment 4 Jaromír Cápík 2013-11-07 08:32:16 EST
Hello Gil.

Thank you. These double-licensed files are always a bit problematic. The BSD licensed stuff was supposed to be relicensed under the GPLv2, but apparently one file was forgotten. And the LGPL licensed qsort was missed by me. Anyway, as all of the licenses are acceptable, I'm going to fix that in the package till it gets fixed upstream.

Regards,
Jaromir.
Comment 5 Jaromír Cápík 2013-11-07 08:59:41 EST
The SIMD extension is compiled into binary code on WIN32 platform only.
Comment 6 Jaromír Cápík 2013-11-07 09:42:33 EST
The re-licensing clarification can be found in the AUTHORS file. The code was released by the Id Software under the GPL license in 1999. Raven Software cooperated with Id Software on the engine and the latest changes in the sc_man.c source file are dated to January 1996 (before the GPL relicensing). That means the licensing is clear. Anyway, I created an upstream ticket to let the guys fix the statements in the headers so that it doesn't cause confusions in the future, but it shouldn't be a blocker here.
Comment 8 Jaromír Cápík 2013-11-07 09:55:48 EST
New Package SCM Request
=======================
Package Name: prboom-plus
Short Description: Free enhanced DOOM engine
Owners: jcapik
Branches: f19 f20
InitialCC:
Comment 9 Gwyn Ciesla 2013-11-07 10:13:20 EST
Git done (by process-git-requests).
Comment 10 Jaromír Cápík 2013-11-07 11:08:26 EST
Thanks guys. Building right now.
Comment 11 Fedora Update System 2013-11-07 11:29:20 EST
prboom-plus-2.5.1.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/prboom-plus-2.5.1.3-2.fc19
Comment 12 Fedora Update System 2013-11-07 11:29:35 EST
prboom-plus-2.5.1.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/prboom-plus-2.5.1.3-2.fc20
Comment 13 Fedora Update System 2013-11-07 14:05:54 EST
prboom-plus-2.5.1.3-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 14 gil cattaneo 2013-11-07 14:26:33 EST
have again this problem to solve(?):
prboom-plus.i686: E: call-to-mktemp /usr/bin/prboom-plus
Comment 15 Jaromír Cápík 2013-11-07 15:29:03 EST
Hello Gil.

The 'mktemp' call is known for race conditions and therefore is forbidden for secure applications, but that isn't our case. To make you feel a bit comfortable, I'll replace the 'mktemp' call with the secure variant 'mkstemp'.

Regards,
Jaromir.
Comment 16 Jaromír Cápík 2013-11-07 15:38:49 EST
Fixed in prboom-plus-2.5.1.3-3
Comment 17 Fedora Update System 2013-11-07 15:52:37 EST
prboom-plus-2.5.1.3-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/prboom-plus-2.5.1.3-3.fc20
Comment 18 Fedora Update System 2013-11-07 15:52:57 EST
prboom-plus-2.5.1.3-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/prboom-plus-2.5.1.3-3.fc19
Comment 19 Fedora Update System 2013-11-16 01:57:53 EST
prboom-plus-2.5.1.3-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 20 Fedora Update System 2013-11-16 01:59:11 EST
prboom-plus-2.5.1.3-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 21 Fedora Update System 2013-11-18 16:06:37 EST
prboom-plus-2.5.1.3-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2013-11-19 00:28:23 EST
prboom-plus-2.5.1.3-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.